*! Limdep-Syntax for outdat.ado 1.1 ukohler@sowi.uni-mannheim.de

* Change-log
* ----------

* Version 1.1: New Naming, Write Commends

version 7.0
program define outdat_limdep

syntax [varlist] using/

local nobs = _N
local nvar: word count `varlist'
local Varlist: subinstr local varlist `" "' `","', all

quietly {
	file open limfile using `using'.lim, replace text write

	* DATA LIST
	* ---------

        file write spsfile `"* Limdep-syntax to read and label `using'.dat"'
	file write limfile _n _n `"READ "' _n
	file write limfile `"  ; File = `using'.dat "' _n
	file write limfile `"  ; Nobs = `nobs' "' _n
	file write limfile `"  ; Nvars = `nvar' "' _n
	file write limfile `"  ; Names = "' _n
	file write limfile `"  `Varlist'"' _n
	file write limfile "$" _n
	file close limfile
	noi di "{txt}Limdep-Commands written to {res} `using'.lim"
end
exit


Ulrich Kohler
University of Mannheim
Faculty of Social Sciences
68131 Mannheim
+49 (0621) 181-2053
